## charliecloud 0.35

=== packaging/requirements.txt ===
# This file contains the list of required python packages for the project in
# requirements format. NOTE: It is provided on a “best effort” basis and is
# not supported or maintained by the Charliecloud team. The source of truth
# for all version dependencies is configure.ac. However, patches to keep it up
# date are always welcome.

# Users can install all our python dependencies simply by running:
# > pip install -r requirements.txt

lark-parser
wheel
requests>=2.6.0

=== debian/changelog ===
charliecloud (0.35-5) unstable; urgency=medium

  * d/tests/tutorial:
    Use fakeroot root emulation mode for ch-image build on s390x

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 12 Nov 2023 12:23:09 +0100

charliecloud (0.35-4) unstable; urgency=medium

  * d/tests/tutorial:
    Add option --network=host to (disabled) buildah bud
  * d/tests/control:
    Restrict autopkgtest to AlmaLinux 8 architectures

 -- Peter Wienemann <fossdev@posteo.de>  Fri, 10 Nov 2023 20:56:45 +0100

charliecloud (0.35-3) unstable; urgency=medium

  * d/tests/tutorial:
    Use docker build with --network=host option
  * d/rules:
    - Remove obsolete code to patch out jquery.js and underscore.js
    - Patch out bundled sphinx_highlight.js

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 05 Nov 2023 20:40:39 +0100

charliecloud (0.35-2) unstable; urgency=medium

  * d/tests/tutorial:
    - Retry image build in case of failure
    - Do not test builder buildah

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 04 Nov 2023 20:08:52 +0100

charliecloud (0.35-1) unstable; urgency=medium

  * New upstream version 0.35
  * Drop patch adjust-test-suite-path (superseded by upstream change)
  * charliecloud-tests.install: Adjust to upstream's new directory structure
  * Add rsync as recommended dependency for charliecloud-builders
  * Rewrite autopkgtest to test examples from the Charliecloud tutorial

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 01 Nov 2023 20:12:12 +0100

=== debian/control ===
Source: charliecloud
Section: admin
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders:
 Lucas Nussbaum <lucas@debian.org>,
 Peter Wienemann <fossdev@posteo.de>
Build-Depends:
 autoconf-archive,
 bash-completion,
 debhelper-compat (= 13),
 libfuse3-dev,
 libsquashfuse-dev,
 po-debconf,
 python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://hpc.github.io/charliecloud/
Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master

Package: charliecloud
Section: metapackages
Architecture: all
Depends:
 charliecloud-builders (>= 0.16-1),
 charliecloud-runtime (>= 0.16-1),
 ${misc:Depends}
Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides runtime and builder packages for Charliecloud.

Package: charliecloud-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Replaces:
 charliecloud (<< 0.16-1)
Breaks:
 charliecloud (<< 0.16-1)
Description: user-defined software stacks (UDSS) for HPC centers (common files)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides common files for Charliecloud.

Package: charliecloud-builders
Architecture: linux-any
Multi-Arch: foreign
Depends:
 buildah,
 charliecloud-common,
 docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
 python3,
 python3-lark,
 python3-requests,
 squashfs-tools,
 ${misc:Depends}
Recommends:
 git,
 rsync
Suggests:
 charliecloud-doc,
 charliecloud-runtime,
 pigz,
 pv
Replaces:
 charliecloud (<< 0.16-1)
Breaks:
 charliecloud (<< 0.16-1)
Description: user-defined software stacks (UDSS) for HPC centers (builders)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides image builders for Charliecloud.

Package: charliecloud-runtime
Architecture: linux-any
Depends:
 charliecloud-common,
 python3,
 squashfuse,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 charliecloud-builders,
 charliecloud-doc
Replaces:
 charliecloud (<< 0.16-1)
Breaks:
 charliecloud (<< 0.16-1)
Description: user-defined software stacks (UDSS) for HPC centers (runtime tools)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides tools to run containers for Charliecloud.

Package: charliecloud-tests
Architecture: linux-any
Depends:
 bats,
 charliecloud-builders,
 charliecloud-doc,
 charliecloud-runtime,
 python3,
 wget,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 shellcheck,
 sudo
Description: user-defined software stacks (UDSS) for HPC centers (test suite)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides a test suite for Charliecloud.

Package: charliecloud-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-sphinxdoc,
 sphinx-rtd-theme-common,
 ${misc:Depends}
Description: user-defined software stacks (UDSS) for HPC centers (documentation)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides documentation files for Charliecloud.

=== debian/tests/control ===
Tests: tutorial
Depends:
 charliecloud-tests,
 git,
 iproute2,
 jq,
# Restrict to AlmaLinux 8 architectures (used in hello example)
Architecture:
 amd64,
 arm64,
 ppc64el,
 s390x,
Restrictions:
 needs-internet,
 needs-root,

## charliecloud 0.37

=== debian/changelog ===
charliecloud (0.37-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:26 +1100

charliecloud (0.37-1) unstable; urgency=medium

  * New upstream version 0.37 (Closes: #1063467)
  * Add new man page for ch-completion.bash
  * Replace obsolete build dependency pkg-config by pkgconf
  * Run reprotest with diffoscope
  * Add patch from upstream PR 1856 to fix reproducibility issue

 -- Peter Wienemann <fossdev@posteo.de>  Thu, 07 Mar 2024 20:06:12 +0100

charliecloud (0.36-1) unstable; urgency=medium

  * New upstream version 0.36
  * Drop patch pr1789 (applied upstream)
  * Add pkg-config to build dependencies
  * Drop buildah and docker.io from dependencies of charliecloud-builders
  * Add bash tab completion for command ch-convert
  * d/t/tutorial:
    - Do not test builders buildah and docker
    - Use --quiet option for ch-convert and ch-run
  * d/t/control: Fix dependencies on Charliecloud packages
    charliecloud-tests -> charliecloud, charliecloud-doc
  * Update upstream and Debian packaging copyright years

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 03 Feb 2024 21:52:40 +0100

charliecloud (0.35-7) unstable; urgency=medium

  * Add patch from upstream PR 1789 to add seccomp support for s390x
  * d/t/tutorial: Build images using seccomp mode on all architectures
  * d/t/control: Re-enable autopkgtest on s390x architecture

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 02 Dec 2023 20:45:00 +0100

charliecloud (0.35-6) unstable; urgency=medium

  * d/tests/control:
    Skip autopkgtest on s390x (Closes: #1055833)

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 12 Nov 2023 21:08:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: charliecloud
 Section: admin
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Lucas Nussbaum <lucas@debian.org>,
  Peter Wienemann <fossdev@posteo.de>
@@ -11,6 +12,7 @@
  debhelper-compat (= 13),
  libfuse3-dev,
  libsquashfuse-dev,
+ pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
 Standards-Version: 4.6.2
@@ -71,9 +73,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- buildah,
  charliecloud-common,
- docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
  python3,
  python3-lark,
  python3-requests,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=bash_completion

override_dh_auto_clean:
	dh_auto_clean
	debconf-updatepo

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh -- --no-lark

override_dh_auto_configure:
	# Install test suite into /usr/libexec/installed-tests
	# (see https://lists.debian.org/debian-devel/2020/06/msg00224.html)
	dh_auto_configure -- --libdir=/usr/lib --libexecdir=/usr/libexec/installed-tests --disable-bundled-lark

override_dh_fixperms-arch:
	dh_fixperms
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/.dockerignore
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/Dockerfile.*
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/build/*.bats
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/common.bash
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/*.bats
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/README
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/fixtures/empty-file
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/make-auto.d/*.bats.in
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/registry-config.yml
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/run/*.bats
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/lib/libfabric/libsotest-fi.so
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/lib/libsotest.so.1.0
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so.1.0
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so.1
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/libsotest.so
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/files_inferrable.txt
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/sotest/*.c
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/bucache/*.df
	chmod 0644 debian/charliecloud-tests/usr/libexec/installed-tests/charliecloud/approved-trailing-whitespace

override_dh_makeshlibs:
	# exclude toy library from being processed
	dh_makeshlibs -Xlibsotest

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/libexec/installed-tests/charliecloud/sotest

override_dh_auto_install:
	dh_auto_install
	dh_installdebconf
	# We cannot use dh_sphinxdoc since both the looks_like_sphinx_doc and
	# the looks_like_sphinx_singlehtml_doc checks fail. For details see
	# https://salsa.debian.org/python-team/modules/sphinx/-/blob/debian/3.1.2-1/debian/dh-sphinxdoc/dh_sphinxdoc#L192-223
	# Thus we need to patch out bundled Javascript code ourselves.
	# Patch out bundled doctools.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
	# Patch out bundled searchtools.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
	# Patch out bundled language_data.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/language_data.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/tmp/usr/share/doc/charliecloud/html/_static/language_data.js
	# Patch out bundled sphinx_highlight.js
	rm debian/tmp/usr/share/doc/charliecloud/html/_static/sphinx_highlight.js
	ln -s /usr/share/javascript/sphinxdoc/1.0/sphinx_highlight.js debian/tmp/usr/share/doc/charliecloud/html/_static/sphinx_highlight.js
	# Patch out bundled fonts directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/fonts
	ln -s /usr/share/sphinx_rtd_theme/static/fonts debian/tmp/usr/share/doc/charliecloud/html/_static/fonts
	# Patch out bundled css directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/css
	ln -s /usr/share/sphinx_rtd_theme/static/css debian/tmp/usr/share/doc/charliecloud/html/_static/css
	# Patch out bundled js directory
	rm -rf debian/tmp/usr/share/doc/charliecloud/html/_static/js
	ln -s /usr/share/sphinx_rtd_theme/static/js debian/tmp/usr/share/doc/charliecloud/html/_static/js

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%charliecloud-$1.tar.gz%" \
   https://github.com/hpc/charliecloud/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## charliecloud 0.38

=== examples/chtest/Makefile ===
BINS := chroot-escape mknods setgroups setuid
ALL := $(BINS)
CFLAGS := -std=c11 -Wall -Werror

.PHONY: all
all: $(ALL)

.PHONY: clean
clean:
	rm -f $(ALL)

=== debian/changelog ===
charliecloud (0.38-2) unstable; urgency=medium

  * Backport upstream fix: Do not use deprecated get_html_theme_path
    for newer Sphinx versions (Closes: #1086621)
  * Switch to new upstream repository URL in
    - d/watch
    - d/copyright
    - d/upstream/metadata
  * charliecloud-doc: Add dependency on libjs-jquery and patch out
    bundled jquery.js

 -- Peter Wienemann <wiene@debian.org>  Sat, 23 Nov 2024 17:04:02 +0100

charliecloud (0.38-1) unstable; urgency=medium

  * New upstream version 0.38
  * Drop patch pr1856 (applied upstream)
  * Drop patch pr1859 (applied upstream)
  * Make dependencies of binary packages binNMU safe
  * Update my email address in uploaders field
  * Bump Standards-Version to 4.7.0 (no changes required)

 -- Peter Wienemann <wiene@debian.org>  Sat, 15 Jun 2024 21:23:24 +0200

charliecloud (0.37-2) unstable; urgency=medium

  * Add patch from upstream PR 1859 to fix FTBFS issue on arm{el,hf}
    (Closes: #1065793)

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 16 Mar 2024 11:47:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: charliecloud
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Lucas Nussbaum <lucas@debian.org>,
- Peter Wienemann <fossdev@posteo.de>
+ Peter Wienemann <wiene@debian.org>
 Build-Depends:
  autoconf-archive,
  bash-completion,
@@ -15,7 +14,7 @@
  pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
@@ -25,8 +24,10 @@
 Section: metapackages
 Architecture: all
 Depends:
- charliecloud-builders (>= 0.16-1),
- charliecloud-runtime (>= 0.16-1),
+ charliecloud-builders (>= ${source:Version}),
+ charliecloud-builders (<< ${source:Version}.0~),
+ charliecloud-runtime (>= ${source:Version}),
+ charliecloud-runtime (<< ${source:Version}.0~),
  ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
@@ -73,7 +74,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- charliecloud-common,
+ charliecloud-common (= ${source:Version}),
  python3,
  python3-lark,
  python3-requests,
@@ -83,8 +84,8 @@
  git,
  rsync
 Suggests:
- charliecloud-doc,
- charliecloud-runtime,
+ charliecloud-doc (= ${source:Version}),
+ charliecloud-runtime (= ${binary:Version}),
  pigz,
  pv
 Replaces:
@@ -110,14 +111,14 @@
 Package: charliecloud-runtime
 Architecture: linux-any
 Depends:
- charliecloud-common,
+ charliecloud-common (= ${source:Version}),
  python3,
  squashfuse,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- charliecloud-builders,
- charliecloud-doc
+ charliecloud-builders (= ${binary:Version}),
+ charliecloud-doc (= ${source:Version})
 Replaces:
  charliecloud (<< 0.16-1)
 Breaks:
@@ -142,9 +143,9 @@
 Architecture: linux-any
 Depends:
  bats,
- charliecloud-builders,
- charliecloud-doc,
- charliecloud-runtime,
+ charliecloud-builders (= ${binary:Version}),
+ charliecloud-doc (= ${source:Version}),
+ charliecloud-runtime (= ${binary:Version}),
  python3,
  wget,
  ${misc:Depends},
@@ -173,6 +174,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends:
+ libjs-jquery,
  libjs-sphinxdoc,
  sphinx-rtd-theme-common,
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,9 @@
 	# Patch out bundled doctools.js
 	rm debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
 	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
+	# Patch out bundled jquery.js
+	rm debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
 	# Patch out bundled searchtools.js
 	rm debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
 	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: tutorial
 Depends:
- charliecloud-tests,
+ charliecloud,
+ charliecloud-doc,
  git,
  iproute2,
  jq,

=== debian/watch ===
version=4
opts="searchmode=plain" https://gitlab.com/api/v4/projects/62049685/releases \
  [^"]*/main-v@ANY_VERSION@\.tar\.gz debian uupdate

## charliecloud 0.42

=== packaging/requirements.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
 # Users can install all our python dependencies simply by running:
 # > pip install -r requirements.txt
 
-lark-parser
+lark>=1.1.9
 wheel
 requests>=2.6.0

=== examples/mpihello/Makefile ===
BINS := hello
CFLAGS := -std=gnu11 -Wall

.PHONY: all
all: $(BINS)

.PHONY: clean
clean:
	rm -f $(BINS)

$(BINS): Makefile

%: %.c
	mpicc $(CFLAGS) $< -o $@

=== debian/changelog ===
charliecloud (0.42-3) unstable; urgency=medium

  * d/p/mr1991.patch: Adopt extended upstream patch to fix runtime
    issue on s390x. The previous version of the patch was incomplete.
    Thanks to Pranav P for updating the patch. (Closes: #1118779)

 -- Peter Wienemann <wiene@debian.org>  Sun, 09 Nov 2025 11:06:15 +0100

charliecloud (0.42-2) unstable; urgency=medium

  * d/p/fix-mem_log-for-32-bit.patch: Adopt simplified upstream patch
  * Add patch from upstream MR 1991 to fix runtime issue on s390x.
    Thanks to Pranav P for providing the patch. (Closes: #1118779)

 -- Peter Wienemann <wiene@debian.org>  Sat, 01 Nov 2025 14:25:12 +0100

charliecloud (0.42-1) unstable; urgency=medium

  * Switch watch file format to version 5 and use new upstream URL
  * New upstream version 0.42
  * Drop patch remove-deprecated-get_html_theme_path (applied upstream)
  * Update patch remove-misc-m4-as-ac-macro-dir
  * Add patch from upstream MR 1989 to fix build failure on i386
  * d/control:
    - Add libcjson-dev and libgc-dev to build dependencies
    - Remove redundant "Rules-Requires-Root: no"
  * d/upstream/metadata: Update URLs
  * d/copyright: Update upstream and Debian packaging copyright entries

 -- Peter Wienemann <wiene@debian.org>  Fri, 24 Oct 2025 20:02:09 +0200

charliecloud (0.38-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Peter Wienemann ]
  * d/rules: Do not run debconf-updatepo on clean-up
  * Bump Standards-Version to 4.7.2 (no changes required)

 -- Peter Wienemann <wiene@debian.org>  Sun, 06 Apr 2025 10:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
  autoconf-archive,
  bash-completion,
  debhelper-compat (= 13),
+ libcjson-dev,
  libfuse3-dev,
+ libgc-dev,
  libsquashfuse-dev,
  pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master

=== debian/watch ===
Version: 5
Source: https://gitlab.com/charliecloud/charliecloud
Mode: gitlab
Matching-Pattern: @ANY_VERSION@
Uversion-Mangle: s/^v//

## charliecloud 0.43

=== debian/changelog ===
charliecloud (0.43-2) unstable; urgency=medium

  * Add patch from upstream MR 2014 to fix FTBFS issue with glibc 2.43
    (Closes: #1128533)
  * Refresh patch remove-misc-m4-as-ac-macro-dir
  * Update copyright years for Debian packaging

 -- Peter Wienemann <wiene@debian.org>  Sat, 21 Feb 2026 21:06:13 +0100

charliecloud (0.43-1) unstable; urgency=medium

  * New upstream version 0.43
  * Drop patch fix-mem_log-for-32-bit (applied upstream)
  * Drop patch mr1991 (applied upstream)
  * d/control:
    - Remove redundant "Priority: optional"
    - Bump Standards-Version to 4.7.3

 -- Peter Wienemann <wiene@debian.org>  Wed, 31 Dec 2025 19:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: charliecloud
 Section: admin
-Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Lucas Nussbaum <lucas@debian.org>,
@@ -16,7 +15,7 @@
  pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
